Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDomCDATASection Class Reference
[XML module]

The TQDomCDATASection class represents an XML CDATA section. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqdom.h>`

Inherits TQDomText.

List of all member functions.

## Public Members

- TQDomCDATASection ()
- TQDomCDATASection ( const TQDomCDATASection & x )
- TQDomCDATASection & operator= ( const TQDomCDATASection & x )
- ~TQDomCDATASection ()
- virtual TQDomNode::NodeType nodeType () const
- virtual bool isCDATASection () const

## Detailed Description

The TQDomCDATASection class represents an XML CDATA section.

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup. The only delimiter that is recognized in a CDATA section is the "]]>" string that terminates the CDATA section. CDATA sections cannot be nested. Their primary purpose is for including material such as XML fragments, without needing to escape all the delimiters.

Adjacent TQDomCDATASection nodes are not merged by the TQDomNode::normalize() function.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the TQDomDocument documentation.

See also XML.

## Member Function Documentation

### TQDomCDATASection::TQDomCDATASection ()

Constructs an empty CDATA section. To create a CDATA section with content, use the TQDomDocument::createCDATASection() function.

### TQDomCDATASection::TQDomCDATASection ( const TQDomCDATASection & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### TQDomCDATASection::~TQDomCDATASection ()

Destroys the object and frees its resources.

### bool TQDomCDATASection::isCDATASection () const`[virtual]`

Returns TRUE.

Reimplemented from TQDomNode.

### TQDomNode::NodeType TQDomCDATASection::nodeType () const`[virtual]`

Returns `CDATASection`.

Reimplemented from TQDomText.

### TQDomCDATASection & TQDomCDATASection::operator= ( const TQDomCDATASection & x )

Assigns x to this CDATA section.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.